org.apache.ignite.binary

## Class BinaryObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.binary.BinaryObjectException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BinaryInvalidTypeException

      public class BinaryObjectException
      extends IgniteException

  Exception indicating binary object serialization error.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryObjectException(String msg)` Creates binary exception with error message.
    `BinaryObjectException(String msg, @Nullable Throwable cause)` Creates binary exception with error message and `Throwable` as a cause.
    `BinaryObjectException(Throwable cause)` Creates binary exception with `Throwable` as a cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryObjectException

          public BinaryObjectException(String msg)

      Creates binary exception with error message.
      Parameters:
        `msg` - Error message.

    - #### BinaryObjectException

          public BinaryObjectException(Throwable cause)

      Creates binary exception with `Throwable` as a cause.
      Parameters:
        `cause` - Cause.

    - #### BinaryObjectException

          public BinaryObjectException(String msg,
                                       @Nullable
                                       @Nullable Throwable cause)

      Creates binary exception with error message and `Throwable` as a cause.
      Parameters:
        `msg` - Error message.
        `cause` - Cause.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022